package router

import (
	"github.com/gin-gonic/gin"
)

func RegisterAnnouncement(private, public *gin.RouterGroup, h *Announcement) {
	privateInfo := private.Group("/info")
	privateInfo.POST("/createInfo", h.Create)
	privateInfo.DELETE("/deleteInfo", h.Delete)
	privateInfo.DELETE("/deleteInfoByIds", h.DeleteByIDs)
	privateInfo.PUT("/updateInfo", h.Update)
	privateInfo.GET("/findInfo", h.Find)
	privateInfo.GET("/getInfoList", h.List)
	privateInfo.GET("/getInfoDataSource", h.DataSource)
	publicInfo := public.Group("/info")
	publicInfo.GET("/getInfoPublic", h.Public)
}
